<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>1712480</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/50227afacd.js" crossorigin="anonymous"></script>
    <style>
        .card:hover{
            cursor: pointer;
            border: 3px rgb(162, 162, 165) solid;
            transition: 0.5s ease;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-light bg-light">
        <a class="nav-link" href="main.html"><i class="fas fa-home"></i>  TRANG CHỦ</a>
    </nav>

    <div class="container-fluid" style="min-height: 100vh;">
        <div class="row justify-content-around" id="main">
            <!-- thông tin diễn viên -->
        </div>
    </div>

    <div class="navbar navbar-light bg-light text-muted">
        Footer
    </div>

    <script>
        var id = decodeURIComponent(window.location.search);
        id = id.substring(4);
        var root = 'https://api.themoviedb.org/3'
        var image = 'https://image.tmdb.org/t/p/w500';
        var apiKey = '72f2c8d144e53a3a45806d7138a530f8';

        // hiệu ứng loading
        function loading(){
            $('#main').empty();
            $('#main').append(`
                <div class="spinner-border" role="status">
                    <span class="sr-only">Loading...</span>
                </div>
            `);
        }

        // hàm mở trang chi tiết phim nếu người dùng nhấp chuột vào thẻ
        function detailFilm(id){
            window.open("detail.html" + "?id=" + id);
        }

        // điền thông tin phim mà diễn viên có tham gia
        function fillFilmsOfCast(films){
            for (const film of films.results[0].known_for){
                $('#filmsOfCast').append(`
                    <div onclick="detailFilm(${film.id})" class="card" style="width: 10vw;">
                        <img class="card-img-top" src="${image + film.poster_path}" alt="${film.title}">
                        <div class="card-body">
                            <p class="card-title">${film.title}</p>
                        </div>    
                    </div>
                `);
            }
        }

        //lấy danh sách các phim mà diễn viên có tham gia
        async function getFilmsOfCast(cast){
            const response = await fetch(`${root}/search/person?api_key=${apiKey}&query=${cast.name}`);
            const films = await response.json();

            fillFilmsOfCast(films);
        }

        // điền thông tin diễn viên
        function fillDetailCast(cast){
            $('#main').empty();
            $('#main').append(`
            <div class="col-md-5 img">
                <img src="${image + cast.profile_path}"  alt="${cast.name}" class="rounded mx-auto d-block">
            </div>
            <div class="col-md-7 details">
                <blockquote>
                    <h1 class="display-4">${cast.name}</h1>
                    <small><cite tiltle="Lĩnh vực">${cast.known_for_department}</cite><br><cite title="Ngày sinh">${cast.birthday}</cite></small>
                </blockquote>
                <p>${cast.biography}</p>                
                <div>
                    <h5>Các phim có tham gia:</h5>
                    <div class="row justify-content-around" id="filmsOfCast"></div>
                </div>
            </div>
            `);

            getFilmsOfCast(cast);
        }

        // lấy data diễn viên, bao gồm: tên, ảnh đại diện, ngày sinh, tiểu sử
        async function getDetailCast(){
            loading();

            const response = await fetch(`${root}/person/${id}?api_key=${apiKey}`);
            const cast = await response.json();

            fillDetailCast(cast);
        }

        $(document).ready(function(){
            getDetailCast();
        });
    </script>    

</body>
</html>